Subject: Re: [Fwd: draft-reschke-http-addmember-00]

From: Julian Reschke <[email-masked]>
Date: Wed, 16 Feb 2005 18:50:56 +0100

Jim Whitehead wrote:
> Julian,
> 
> Thanks for writing this draft -- I've been thinking along similar lines
> recently.
> 
> Roy Fielding writes:
> 
>>Julian, POST to a collection resource is already defined as 
>>adding a member resource.  That was its very first definition 
>>(hence, named after NNTP's post) and remains applicable today.
> 
> 
> RFC 2616 states:
> "The actual function performed by the POST method is determined by the
> server and is usually dependent on the Request-URI."
> 
>>From a client perspective this makes POST unreliable, and leads to the
> desire to define a new method.
> 
> Besides, despite what RFC 2616 actually says, POST is really the protocol
> tunneling and form submission method.

Thanks Roy and Jim for the feedback.

When I sent the announcement, I forgot to redirect feedback to a single 
place, which should be <[email-masked]> (which I include in this 
reply).

Best regards, Julian

-- 
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760